Skip to main content
GET
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
policies
cURL
curl --request GET \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "policies": [
    {
      "break_glass_allowed": true,
      "compliance_tags": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "enabled": true,
      "id": "<string>",
      "kb_id": "<string>",
      "labels": {},
      "name": "<string>",
      "purpose_tags": [
        "<string>"
      ],
      "revision": 123,
      "row_filter_dsl": {},
      "updated_at": "2023-11-07T05:31:56Z",
      "column_masks": {},
      "description": "<string>",
      "external_id": "<string>",
      "table_name": "<string>"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Query Parameters

table_name
string | null

Restrict to policies that target this exact table.

enabled
boolean | null

Restrict to enabled or disabled rules. Omit for both.

include_deleted
boolean

When true, also return soft-deleted rules. Defaults to false.

page_token
string | null

Pagination cursor. Pass the previous response's next_page_token.

Response

200 - application/json

Policies listed

policies
object[]
required
next_page_token
string | null